Bug 212313 - [patch] Add new user/group to UID and GUID for port textproc/apache-solr
Summary: [patch] Add new user/group to UID and GUID for port textproc/apache-solr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks: 201455
  Show dependency treegraph
 
Reported: 2016-09-01 17:34 UTC by Matthias Fechner
Modified: 2016-09-11 11:46 UTC (History)
1 user (show)

See Also:


Attachments
Patch file to add user and group solr. (670 bytes, patch)
2016-09-01 17:34 UTC, Matthias Fechner
no flags Details | Diff
Add user solr for textproc/apache-solr, now with correct home dir (672 bytes, patch)
2016-09-01 21:16 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2016-09-01 17:34:24 UTC
Created attachment 174294 [details]
Patch file to add user and group solr.

The solr service should not run as user root but should use a user that has access to file required for the service.

Please add user as added in attached patch file.
Comment 1 Matthias Fechner freebsd_committer 2016-09-01 21:16:59 UTC
Created attachment 174299 [details]
Add user solr for textproc/apache-solr, now with correct home dir
Comment 2 Kurt Jaeger freebsd_committer 2016-09-05 18:24:10 UTC
@work
Comment 3 commit-hook freebsd_committer 2016-09-11 11:43:43 UTC
A commit references this bug:

Author: pi
Date: Sun Sep 11 11:43:37 UTC 2016
New revision: 421815
URL: https://svnweb.freebsd.org/changeset/ports/421815

Log:
  textproc/apache-solr: 5.5.2 -> 6.2.0

  - submitter becomes maintainer

  PR:		201455,	212313
  Changes:	https://lucene.apache.org/solr/6_2_0/changes/Changes.html
  Submitted by:	Matthias Fechner <idefix@fechner.net>

Changes:
  head/GIDs
  head/UIDs
  head/textproc/apache-solr/Makefile
  head/textproc/apache-solr/distinfo
  head/textproc/apache-solr/files/patch-bind-localhost.patch
  head/textproc/apache-solr/files/pkg-install.in
  head/textproc/apache-solr/files/pkg-message.in
  head/textproc/apache-solr/files/solr.in
  head/textproc/apache-solr/pkg-deinstall
  head/textproc/apache-solr/pkg-plist
Comment 4 Kurt Jaeger freebsd_committer 2016-09-11 11:46:42 UTC
Committed, thanks!